| Version: 3.0.4

Public Member Functions | List of all members
wxURLDataObject Class Reference
Class List by Category » Clipboard and Drag & Drop

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/dataobj.h>`

Inheritance diagram for wxURLDataObject:
[legend]

## Detailed Description

wxURLDataObject is a wxDataObject containing an URL and can be used e.g.

when you need to put an URL on or retrieve it from the clipboard:

wxTheClipboard->SetData(new wxURLDataObject(url));

Note
  This class is derived from wxDataObjectComposite on Windows rather than wxTextDataObject on all other platforms.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  Drag and Drop Overview, wxDataObject

## Public Member Functions
| wxURLDataObject (const wxString &url=wxEmptyString)
| Constructor, may be used to initialize the URL. More...
wxString | GetURL () const
| Returns the URL stored by this object, as a string. More...
void | SetURL (const wxString &url)
| Sets the URL stored by this object. More...
Public Member Functions inherited from wxTextDataObject
| wxTextDataObject (const wxString &text=wxEmptyString)
| Constructor, may be used to initialise the text (otherwise SetText() should be used later). More...
virtual wxString | GetText () const
| Returns the text associated with the data object. More...
virtual size_t | GetTextLength () const
| Returns the data size. More...
virtual size_t | GetFormatCount (wxDataObject::Direction dir=wxDataObject::Get) const
| Returns 2 under wxMac and wxGTK, where text data coming from the clipboard may be provided as ANSI (`wxDF_TEXT`) or as Unicode text (`wxDF_UNICODETEXT`, but only when `wxUSE_UNICODE==1`). More...
const wxDataFormat & | GetFormat () const
| Returns the preferred format supported by this object. More...
virtual void | GetAllFormats (wxDataFormat *formats, wxDataObject::Direction dir=wxDataObject::Get) const
| Returns all the formats supported by wxTextDataObject. More...
virtual void | SetText (const wxString &strText)
| Sets the text associated with the data object. More...
Public Member Functions inherited from wxDataObjectSimple
| wxDataObjectSimple (const wxDataFormat &format=wxFormatInvalid)
| Constructor accepts the supported format (none by default) which may also be set later with SetFormat(). More...
virtual bool | GetDataHere (void *buf) const
| Copy the data to the buffer, return true on success. More...
virtual size_t | GetDataSize () const
| Gets the size of our data. More...
const wxDataFormat & | GetFormat () const
| Returns the (one and only one) format supported by this object. More...
virtual bool | SetData (size_t len, const void *buf)
| Copy the data from the buffer, return true on success. More...
void | SetFormat (const wxDataFormat &format)
| Sets the supported format. More...
Public Member Functions inherited from wxDataObject
| wxDataObject ()
| Constructor. More...
virtual | ~wxDataObject ()
| Destructor. More...
virtual bool | GetDataHere (const wxDataFormat &format, void *buf) const =0
| The method will write the data of the format format to the buffer buf. More...
virtual size_t | GetDataSize (const wxDataFormat &format) const =0
| Returns the data size of the given format format. More...
virtual wxDataFormat | GetPreferredFormat (Direction dir=Get) const =0
| Returns the preferred format for either rendering the data (if dir is `Get`, its default value) or for setting it. More...
virtual bool | SetData (const wxDataFormat &format, size_t len, const void *buf)
| Set the data in the format format of the length len provided in the buffer buf. More...
bool | IsSupported (const wxDataFormat &format, Direction dir=Get) const
| Returns true if this format is supported. More...

## Additional Inherited Members
Public Types inherited from wxDataObject
enum | Direction { Get = 0x01, Set = 0x02, Both = 0x03 }

## Constructor & Destructor Documentation

## ◆ wxURLDataObject()

wxURLDataObject::wxURLDataObject | ( | const wxString & | url = `wxEmptyString` | ) |

Constructor, may be used to initialize the URL.

If url is empty, SetURL() can be used later.

## Member Function Documentation

## ◆ GetURL()

wxString wxURLDataObject::GetURL | ( |  | ) | const

Returns the URL stored by this object, as a string.

## ◆ SetURL()

void wxURLDataObject::SetURL | ( | const wxString & | url | ) |

Sets the URL stored by this object.